
Infrastructure - Bug #7452

sync is failing update of the archive field from false to true.

2015-10-22 21:32 - Rob Nahf

Status: Closed Start date: 2015-10-22

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

See SystemMetadataValidator.validateRestrictedFields.

Associated revisions

Revision 16781 - 2015-10-29 14:50 - Rob Nahf

refs #7452: added unit tests and extra logging regarding the archived validation error.

Revision 16781 - 2015-10-29 14:50 - Rob Nahf

refs #7452: added unit tests and extra logging regarding the archived validation error.

History

#1 - 2015-10-23 15:20 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

the value check was backwards. fixed it.

#2 - 2015-10-28 19:54 - Jing Tao

- % Done changed from 100 to 30

- Status changed from Closed to In Progress

I still saw this issue in cn-dev-1 which just was upgraded.

[ERROR] 2015-10-28 19:51:20,013 (V2TransferObjectTask:processTask:388) Task-urn:node:mnDemo6-tao.13398.1

<?xml version="1.0" encoding="UTF-8"?>

Synchronization task of [PID::]tao.13398.1[::PID] failed. Illegal changes attempted to the fields: archived

#3 - 2015-10-29 16:11 - Rob Nahf

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

traced this one back to failure in Jenkins to trigger a rebuild of d1-process-daemon once the fixes were committed.  The redeployed process daemons

subsequently didn't contain the fix.

#4 - 2016-01-05 22:35 - Rob Nahf
- % Done changed from 50 to 100

- Status changed from Testing to Closed

no evidence of this error found on cn-stage-ucsb-1 synchronization logs

using the grep terms:

grep "archived" cn-synchronization.log.* | grep -v Only

grep -A3 "archived" cn-synchronization.log.*
